Subject: Re:missing separator

From: Demetrios Xenides <[email-masked]>
Date: Sat, 19 Jun 1999 21:13:57 +0300

Hi CCLers,
Some days ago I posted the following message
I tried oncemore (actually much much more)to built G94 but this time
I got the following message.

>../bsd/g94.make:103:*** missing separator. Stop

As i understand in line 103 has a problem called "missing separator".
Any help is very much wellcome

Cheers
Demetrios

And I got the following answers:

itanas.chemistry.upatras.gr>

On Fri, 18 Jun 1999, Demetrios Xenides wrote:

>Dear Collegues,
>I have posted a message some days ago and all the answers i got were
>quite helpfull. They will be posted in a day or two. However I would
>like most thank Marc C. Nicklaus for his precious help.
>It seems that the whole effort will be much more complicated than at
>first thought.
>So I tried oncemore (actually much much more)to built G94 but this time

>I got the following message.
>
>>../bsd/g94.make:103:*** missing separator. Stop
This is just extra spaces in the makefile. Edit the makefile using emacs

(not vi) and it will tell you what is wrong.

Subject:
             RE: CCL:G94-Linux, ***missing separator???!!!
        Date:
             Fri, 18 Jun 1999 13:01:18 +0200 (MET DST)
       From:
             Alain Borel <[email-masked]>
 Organization:
             University of Lausanne
         To:
             Demetrios Xenides <[email-masked]>

On 18-Jun-99 Demetrios Xenides wrote:
> So I tried oncemore (actually much much more)to built G94 but this
time
> I got the following message.
>
>>../bsd/g94.make:103:*** missing separator. Stop
>
> As i understand in line 103 has a problem called "missing separator".
> Any help is very much wellcome

Most probably line 103 (or 102 or 104) has several spaces at the
beginning
instead of only one tabulation.

Hope this helps!

t:
        Re: CCL:G94-Linux, ***missing separator???!!!
   Date:
        Fri, 18 Jun 1999 06:27:02 -0700 (PDT)
   From:
        Ernest Friedman-Hill <[email-masked]>
     To:
        [email-masked] (Demetrios Xenides)

This usually means that the makefile contains space characters where
it should contain tabs. You've probably edited the makefile and
thereby corrupted it.

In makefiles, in parts that look like this:

foo: foo.c
     cc foo.c -o foo
     strip foo

the second and later lines -have- to start with hard tab characters
(^I), -not- spaces. If you've accidentally used spaces, it will look
OK but make will give this error.

       Re: CCL:G94-Linux, ***missing separator???!!!
   Date:
        Fri, 18 Jun 1999 09:28:25 -0400 (EDT)
   From:
        WeiQuan Tian <[email-masked]>
     To:
        Demetrios Xenides <[email-masked]>

 Hi,
    What is the version of your LINUX and its name? Gaussian supports
RedHat. Maybe the make file in your LINUX has some problem with G94.
Pleas check Gaussian's home page about the system requirement.

  Wei Quan Tian

  Univ. of Guelph
 Canada

       Re: CCL:G94-Linux, ***missing separator???!!!
   Date:
        Fri, 18 Jun 1999 11:37:06 -0400 (EDT)
   From:
        [email-masked] (Doug Fox)
     To:

[email-masked]
(Demetrios Xenides)

        Re: CCL:G94-Linux, ***missing separator???!!!
   Date:
        Fri, 18 Jun 1999 09:57:45 -0700
   From:
        "Joerg Hill" <[email-masked]>
     To:
        [email-masked]

Hi,
> So I tried oncemore (actually much much more)to built G94 but this
time
> I got the following message.
>
>>../bsd/g94.make:103:*** missing separator. Stop
>
> As i understand in line 103 has a problem called "missing separator".
> Any help is very much wellcome

You might have tabulators in the makefile instead of spaces or vice
versa
(I don't remember which one is right). Gnumake, which is used on Linux,
doesn't
like this.

Best Regards,
Jφrg-R. Hill

   Demetrios,

   Missing separators generally mean that there are spaces where a tab
is expected etc.  Check the syntax around line 103, I expect it begins
with spaces.